import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy, QueryList, Renderer2 } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
import { NzCarouselContentDirective } from './nz-carousel-content.directive';
export declare class NzCarouselComponent implements AfterViewInit, OnDestroy {
    elementRef: ElementRef;
    private renderer;
    private zone;
    private _autoPlay;
    private _dots;
    private _vertical;
    private _effect;
    slideContentsSubscription: Subscription;
    activeIndex: number;
    transform: string;
    interval: any;
    slideContents: QueryList<NzCarouselContentDirective>;
    slickList: ElementRef;
    slickTrack: ElementRef;
    nzAfterChange: EventEmitter<number>;
    nzBeforeChange: EventEmitter<{
        from: number;
        to: number;
    }>;
    readonly nextIndex: number;
    readonly prevIndex: number;
    nzDots: boolean;
    nzEffect: string;
    nzAutoPlay: boolean;
    nzVertical: boolean;
    setActive(content: NzCarouselContentDirective, i: number): void;
    renderContent(): void;
    setUpAutoPlay(): void;
    updateMode(): void;
    clearInterval(): void;
    next(): void;
    pre(): void;
    goTo(index: number): void;
    onKeyDown(e: KeyboardEvent): void;
    constructor(elementRef: ElementRef, renderer: Renderer2, zone: NgZone);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
